Child pages
Skip to end of metadata
Go to start of metadata
Release Notes -- Apache Geronimo Eclipse Plugin -- Version 2.1.3 -- 20080917224128

Helpful URLs
Geronimo Devtools:                
Geronimo Eclipse Update Site:     
Bug Tracking:                     
Quick start - fast and easy development:
5-minute Tutorial using GEP:      

System Requirements
1. Java J2SE 1.5.0 or greater, and a platform that supports it

2. Eclipse IDE for Java EE Developers (Ganymede or Europa), which is platform-specific

   -- Get Eclipse from

3. Geronimo server (2.0.x or 2.1.x)

   -- Get a Geronimo server from

You will likely need to increase the default setting for maximum PermGen size
for your Eclipse installation (especially for Sun's JDK 1.5.0_x on the Windows
platform) to prevent "java.lang.OutOfMemoryError: PermGen" errors. From the
command line you can use:

        eclipse -vmargs -Xms128m -Xmx512m -XX:MaxPermSize=128m

Or you can edit your eclipse.ini file. An example is shown below but remember
that each argument has to be on seperate lines:

        -Xms128m        -Xmx512m 

Geronimo Eclipse Plugin Version 2.1.3 Enhancements

1. Numerous enhancements to the Geronimo deployment plan editors 

2. GEP is packaged as a single feature that provides v20 and v21 server support 

Installation Instructions


Bug Fixes and New Features

GERONIMODEVTOOLS-128 Add usabilty enhancements for Web Service References in geronimo-web.xml deployment plan editor.

GERONIMODEVTOOLS-129 Enhanced Editor Support for specifying GBeans in all the deployment editors

GERONIMODEVTOOLS-171 Add extension point to remove hard-coded org.apache.geronimo name from launch console action check

GERONIMODEVTOOLS-414 Provide an option to Add Dependencies from Server

GERONIMODEVTOOLS-422 Reduce the clutter of open sections in the GEP deployment plan editors.

GERONIMODEVTOOLS-423 Add more options to the Security Section in Geronimo Deployment Plan Editor

GERONIMODEVTOOLS-430 Provide editor support to configure Advanced Security Settings

GERONIMODEVTOOLS-461 Documentation updates

GERONIMODEVTOOLS-465 Replace depracated Eclipse-LazyStart in plugin manifests

GERONIMODEVTOOLS-485 new Abbot testcase added.

GERONIMODEVTOOLS-499 Only installing Geronimo v2.0 server adapter in GEP 2.1.2 does not work for Ganymede

GERONIMODEVTOOLS-501 Adding server in eclipse suggests "Apache Geronimo V2.1 is currently only certified on a 1.5 JVM. Use of any other version is not currently supported."

GERONIMODEVTOOLS-502 Fix NPE when adding references to naming page of deployment plan editors

GERONIMODEVTOOLS-503 Read security info from deployment descriptor(s).

GERONIMODEVTOOLS-505 PLUGIN_RELEASE-NOTES-2.1.2.txt missing from distribution

GERONIMODEVTOOLS-507 Ship only one feature that provides v20 and v21 server support

GERONIMODEVTOOLS-513 We should not have removed support for utility projects -- added back

GERONIMODEVTOOLS-515 Restore Mirroring to the GEP Eclipse Update Site

Release Notes -- Apache Geronimo Eclipse Plugin -- Version 2.1.3 -- 20080917224128

@version $Rev: 696542 $ $Date: 2008-09-17 22:31:01 -0400 (Wed, 17 Sep 2008) $
  • No labels